
Foreman - Refactor #37386

Drop toggleRowGroup and filter_permissions functions

04/25/2024 03:32 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10141

  

Description

Their last use was dropped in acfbc45 and I can't other traces of their usage.

Related issues:

Related to Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

Associated revisions

Revision ec299515 - 04/26/2024 03:33 PM - Ewoud Kohl van Wijngaarden

Fixes #37386 - Drop toggleRowGroup and filter_permissions functions

Their last use was dropped in acfbc45886c4d81a2a3ca5af433a6124a0a7191a

and I can't other traces of their usage.

Fixes: acfbc45886c4 ("fixes #812 - new permissions model, user group role and nest support, role filters for better granularity")

History

#1 - 04/25/2024 03:33 PM - Ewoud Kohl van Wijngaarden

- Description updated

#2 - 04/25/2024 03:33 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #812: cant assign roles to groups, just to users added

#3 - 04/26/2024 11:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10141 added

#4 - 04/26/2024 03:33 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#5 - 04/26/2024 04:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|ec29951585ffda6cabadd44d995e5f0ceb50e54b.

Powered by TCPDF (www.tcpdf.org)

05/09/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/acfbc45886c4d81a2a3ca5af433a6124a0a7191a
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ec29951585ffda6cabadd44d995e5f0ceb50e54b
http://www.tcpdf.org

